org.apache.olingo.odata2.client.core.edm.Impl

## Class EdmFunctionImportImpl

- java.lang.Object
- - org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl
  - - org.apache.olingo.odata2.client.core.edm.Impl.EdmFunctionImportImpl

- All Implemented Interfaces:
    EdmAnnotatable, EdmFunctionImport, EdmMappable, EdmNamed

      public class EdmFunctionImportImpl
      extends EdmNamedImpl
      implements EdmFunctionImport, EdmAnnotatable

  Objects of this class represent EdmFunctionImport

- - ### Field Summary

    - ### Fields inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl

      `edm, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmFunctionImportImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmAnnotations` | `getAnnotations()` Get all annotations applied to an EDM element
    `EdmDocumentation` | `getDocumentation()`
    `EdmEntityContainer` | `getEdmEntityContainer()`
    `Map<String,EdmParameter>` | `getEdmParameters()`
    `EdmTyped` | `getEdmReturnType()`
    `EdmEntityContainer` | `getEntityContainer()` Get the entity container the function import is contained in
    `EdmEntitySet` | `getEntitySet()` Get the edm entity set
    `String` | `getEntitySetName()`
    `String` | `getHttpMethod()` Get the HTTP Method
    `EdmMapping` | `getMapping()` Get mapping information applied to an EDM element
    `EdmParameter` | `getParameter(String name)` Get the parameter by name
    `List<String>` | `getParameterNames()` Get all parameter names
    `Map<String,ArrayList<EdmFunctionImportParameter>>` | `getParameters()`
    `List<String>` | `getParametersList()`
    `EdmTyped` | `getReturnType()`
    `void` | `setAnnotations(EdmAnnotations annotations)`
    `void` | `setDocumentation(EdmDocumentation documentation)`
    `void` | `setEdmEntityContainer(EdmEntityContainer edmEntityContainer)`
    `void` | `setEdmParameters(Map<String,EdmParameter> edmParameters)`
    `void` | `setEdmReturnType(EdmTyped edmReturnType)`
    `void` | `setEntitySet(String edmEntitySet)`
    `void` | `setHttpMethod(String httpMethod)`
    `void` | `setMapping(EdmMapping mapping)`
    `void` | `setParameters(Map<String,ArrayList<EdmFunctionImportParameter>> parameters)`
    `void` | `setParametersList(List<String> parametersList)`
    `void` | `setReturnType(EdmTyped returnType)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.olingo.odata2.client.core.edm.Impl.EdmNamedImpl

      `getName, setEdm, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmNamed

      `getName`

- - ### Constructor Detail

    - #### EdmFunctionImportImpl

          public EdmFunctionImportImpl()

  - ### Method Detail

    - #### getEdmReturnType

          public EdmTyped getEdmReturnType()

    - #### setEdmReturnType

          public void setEdmReturnType(EdmTyped edmReturnType)

    - #### getDocumentation

          public EdmDocumentation getDocumentation()

    - #### setDocumentation

          public void setDocumentation(EdmDocumentation documentation)

    - #### setMapping

          public void setMapping(EdmMapping mapping)

    - #### setReturnType

          public void setReturnType(EdmTyped returnType)

      Parameters:
        `returnType` - the returnType to set

    - #### setEntitySet

          public void setEntitySet(String edmEntitySet)

      Parameters:
        `edmEntitySet` - the entitySet to set

    - #### setHttpMethod

          public void setHttpMethod(String httpMethod)

      Parameters:
        `httpMethod` - the httpMethod to set

    - #### getEdmEntityContainer

          public EdmEntityContainer getEdmEntityContainer()

    - #### setEdmEntityContainer

          public void setEdmEntityContainer(EdmEntityContainer edmEntityContainer)

    - #### getEntitySetName

          public String getEntitySetName()

    - #### getEdmParameters

          public Map<String,EdmParameter> getEdmParameters()

    - #### setEdmParameters

          public void setEdmParameters(Map<String,EdmParameter> edmParameters)

    - #### getParameters

          public Map<String,ArrayList<EdmFunctionImportParameter>> getParameters()

    - #### setParameters

          public void setParameters(Map<String,ArrayList<EdmFunctionImportParameter>> parameters)

    - #### getParametersList

          public List<String> getParametersList()

    - #### setParametersList

          public void setParametersList(List<String> parametersList)

    - #### setAnnotations

          public void setAnnotations(EdmAnnotations annotations)

    - #### getParameter

          public EdmParameter getParameter(String name)
                                    throws EdmException

      Description copied from interface: `EdmFunctionImport`
      Get the parameter by name
      Specified by:
        `getParameter` in interface `EdmFunctionImport`
      Returns:
        `EdmParameter`
      Throws:
        `EdmException`

    - #### getParameterNames

          public List<String> getParameterNames()
                                         throws EdmException

      Description copied from interface: `EdmFunctionImport`
      Get all parameter names
      Specified by:
        `getParameterNames` in interface `EdmFunctionImport`
      Returns:
        collection of parameter names of type Collection
      Throws:
        `EdmException`

    - #### getEntitySet

          public EdmEntitySet getEntitySet()
                                    throws EdmException

      Description copied from interface: `EdmFunctionImport`
      Get the edm entity set
      Specified by:
        `getEntitySet` in interface `EdmFunctionImport`
      Returns:
        `EdmEntitySet`
      Throws:
        `EdmException`

    - #### getHttpMethod

          public String getHttpMethod()
                               throws EdmException

      Description copied from interface: `EdmFunctionImport`
      Get the HTTP Method
      Specified by:
        `getHttpMethod` in interface `EdmFunctionImport`
      Returns:
        HTTP Method as String
      Throws:
        `EdmException`

    - #### getReturnType

          public EdmTyped getReturnType()
                                 throws EdmException

      Specified by:
        `getReturnType` in interface `EdmFunctionImport`
      Returns:
        `EdmTyped`
      Throws:
        `EdmException`

    - #### getEntityContainer

          public EdmEntityContainer getEntityContainer()
                                                throws EdmException

      Description copied from interface: `EdmFunctionImport`
      Get the entity container the function import is contained in
      Specified by:
        `getEntityContainer` in interface `EdmFunctionImport`
      Returns:
        `EdmEntityContainer`
      Throws:
        `EdmException`

    - #### getAnnotations

          public EdmAnnotations getAnnotations()
                                        throws EdmException

      Description copied from interface: `EdmAnnotatable`
      Get all annotations applied to an EDM element
      Specified by:
        `getAnnotations` in interface `EdmAnnotatable`
      Returns:
        `EdmAnnotations` never null
      Throws:
        `EdmException`

    - #### getMapping

          public EdmMapping getMapping()
                                throws EdmException

      Description copied from interface: `EdmMappable`
      Get mapping information applied to an EDM element
      Specified by:
        `getMapping` in interface `EdmMappable`
      Returns:
        `EdmMapping`
      Throws:
        `EdmException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `EdmNamedImpl`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.